Bug 1289701 - Kickstart behaves oddly when performing minimal install [NEEDINFO]
Kickstart behaves oddly when performing minimal install
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 13:24 EST by W. Michael Petullo
Modified: 2016-12-20 11:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:48:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bcl: needinfo? (mike)


Attachments (Terms of Use)
Kickstart script (5.44 KB, text/x-matlab)
2015-12-08 13:24 EST, W. Michael Petullo
no flags Details

  None (edit)
Description W. Michael Petullo 2015-12-08 13:24:35 EST
Created attachment 1103661 [details]
Kickstart script

Description of problem:
I have a Kickstart script which performs a minimal install. I used to pass the "--nobase" option to %packages, but this option is deprecated. My %packages clause now contains a list of packages, without any groups ('@').

Version-Release number of selected component (if applicable):
Fedora 23 anaconda from network installer

How reproducible:
Every time

Steps to Reproduce:
Perform an install using the attached ks.cfg. Note that the software spoke looks like this:

[x] Software selection
(Custom software selected)

Now, configure the root password spoke. Upon leaving that spoke configuration, the software spoke now looks like this:

[!] Software selection
(Custom software selected)

In order to proceed, you have to configure the software spoke, selecting at least "Minimal Install".

Actual results:
Cannot install without selecting "Minimal Install" spoke.

Expected results:
I should be able to install my list of packages, their dependencies, and nothing else.

Additional info:
Comment 1 Brian Lane 2015-12-11 20:34:23 EST
Please attach the logs from /tmp/*log as individual text/plain attachments.
Comment 2 Fedora End Of Life 2016-11-24 09:04:30 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 11:48:53 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.